/*-------------- media section ---------------*/
@media screen and (min-width: 1200px) {
    .container, .container-lg, .container-md, .container-sm, .container-xl {
        max-width: 1180px;
    }
}
@media screen and (min-width: 1400px) {
    .container, .container-lg, .container-md, .container-sm, .container-xl {
        max-width: 1320px;
    }
}
@media screen and (min-width: 1600px) {
    .container, .container-lg, .container-md, .container-sm, .container-xl {
        max-width: 1436px;
    }
}
@media screen and (max-width:480px) {
  .blog-item .pe-0 {
      padding-right: 15px !important;
  }
  .product-search-form input {
    width: 100%;
    border: 1px solid rgba(232, 232, 232, 1);
    border-radius: 0;
    margin-bottom: 10px;
  } 
  .product-search-form {
    margin-right: 30px;
    margin-right: 0;
    text-align: center;
  }
  select.header-search-select {
    border: 1px solid rgba(232, 232, 232, 1);
    margin: 0;
  } 
  .product-search-form button.header-search-button {
    border-radius: 0;
  }
  .product-search-form {
    margin-right: 30px;
    margin-right: 0;
  }
  .product-search-form form {
    display: block;
    border: none;
  }
  .my-account-block, .wishlist-block {
    margin-right: 20px;
    margin-right: 0;
    margin: 10px 0;
  }
}
@media screen and (max-width:576px) {
  .cart-block i, .wishlist-block i, .my-account-block i, .faq-block a {
    font-size: 18px !important;
  }
  .search-mobile button {
    font-size: 18px !important;
  }
  .hamburger{
    font-size: 18px !important;
  }
}
@media screen and (min-width: 577px) and (max-width: 767px){
  .news_block,  .news-box h5 {
    text-align: left !important;
  }
}
@media screen and (max-width:767px) {
  .owl-carousel .owl-item img.carousel-gif {
      height: 314px !important;
  }
  #welcome .section_main_head h3 {
    font-size: 28px;
  }
  .rating-block {
    margin-top: 2em;
  }
  .rating-block .media-body {
    text-align: left;
  }
  .rating-block {
    display: flex;
    justify-content: center;
  }
  #welcome .owl-item.active.center .image-carousel-image, #welcome .owl-item.active .image-carousel-image {
    transform: unset !important;
  }
  .image-carousel-wrap {
      width: 100%;
      margin: 0 !important;
  }
  #iconbox {
      padding-top: 0;
  }
  .iconbox-body {
      text-align: center;
  }
  .product-grid-col.position-relative {
      text-align: center;
  }
  .section-link {
    text-align: center;
  }
  .promo_text {
      max-width: 100%;
  }
  .premium-eyewear-right-column {
    margin-top: 18px;
  }
  .testimonials-head {
    max-width: 100%;
  }
  .flex-item-image {
    margin: 0 auto;
  }
  .brands-details-inner img {
      max-width: 57%;
  }
  .our-brand-blocks.flex-fill {
      margin-top: 23px;
  }
  .testimonial-wrapper {
      margin-top: 0;
  }
  .testimonial-wrapper .row {
      margin: 0;
  }
  .testimonial-blockquote {
      margin-top: 10px;
  }
  .testimonials-image-boxposition-relative {
      display: flex;
      align-items: center;
      justify-content: space-around;
      text-align: left;
  }
  .testimonials_btn a.theme_button {
    margin-top: 1em;
  }
  
  .overlay-post {
    margin-bottom: 13px;
  }
 
  #newsletter_section .section_main_head h3 {
      font-size: 31px;
      max-width: 100%;
  } 
  .newsletter_shortcode input[type="submit"] {
    padding: 9px 11px;
    font-size: 12px;
  }
  .contact_widget .media {
      display: block !important;
  }
  .authordetails ul li a i {
    font-size: 14px;
    display: inline-block !important;
  }
  div#comments, .related-post-wrapper, .single-post-block {
    text-align: center;
  }
  .post_ctg span {
    display: block;
    float: none;
    margin-bottom: 10px;
  }
  .header-git-block:first-child {
    margin: 0;
  }
  .currency-language-blk {
    justify-content: center;
  }
  #slider .owl-dots {
    bottom: 10px;
    left: 0;
    right: 0;
  }
  .sale-boxes-inner {
    max-width: 100%;
    text-align: center;
    left: 0;
    right: 0;
  }
  .woocommerce-page table.cart .product-thumbnail {
    display: block;
    text-align: left !important;
  }
  .woocommerce-page table.cart .product-thumbnail::before{
    display: none;
  }
  .yith-wcwl-add-to-wishlist .feedback .yith-wcwl-icon {
    margin-right: 0px;
  }
  .contact-details-wrapper {
    max-width: 80%;
    max-width: 100%;
    text-align: center;
  }
  .header-navigation {
    padding: 7px 0;
  }
  .woocommerce #order_review table th, .woocommerce table.shop_table td{
    text-align: center;
  }
  .title-banner-content {
    margin-top: 2em;
  }
  .slider-box {
    text-align: center;
  }
  .slide_nav, img.theme-image-after, img.theme-image-before {
    display: none;
  }
  .section_main_head {
    position: relative;
  }
  .custom-dots.owl-dots{
    position: unset;
  }
  .slide_btn {
    margin-top: 10px !important;
    margin-bottom: 20px;
  }
  .newsletter-container  .section_main_head {
    margin: 0;
  }
  #masthead {
    position: unset;
  }
  .footer-col3 h3.widget-title {
     visibility: visible; 
  }
  #main-banner {
    padding-top: 2em;
  }
  .banner-images, .banner-content-block {
    width: 100%;
  }
  .banner-inner h2 {
    font-size: 28px;
  }
  .menu_container {
    margin-top: 0;
  }
  .search-block i.fas.fa-search {
    position: unset;
  }
  .half-heading.section_main_head{
    max-width: 100%;
  }
  .banner_title_box img{
    display: none;
  }
  .banner_title_box {
    margin-bottom: 40px;
    padding-top: 0em;
    padding-bottom: 3em;
  }
  .section-text {
    margin-bottom: 16px !important;
  }
  .search-no-results input.search-field {
    margin-bottom: 10px;
  }
  .share_icon i {
    padding: 7px;
    width: 24px;
  }
  .authordetails ul {
    margin-left: 0;
    margin-top: 20px;
  }
  #search form.search-form.serach-page {
    left: 38%;
  }
  #search input[type="search"]{
    width: 52%;
  }
  .footer-content-wrapper {
    max-width: 100%;
     margin-bottom: 0px; 
  }
  .owl-carousel .owl-dots {
    text-align: center;
    display: flex;
    justify-content: center;
    margin-top: 10px;
  }
  .title-banner-content {
    max-width: 100%;
  }
  .contact-email i, .contact-address i, .contact-phone i {
    margin: 0 auto;
  } 
  #top-bar {
    text-align: center;
  }
  .owl-carousel .owl-item .testimonials_image img, .testimonials_image img {
    margin: 0 auto !important;
  }
  .footer-text {
    text-align: center;
    margin: 10px 0;
  }
  .owl-nav, .news_block, .footer-logo {
    text-align: center;
  }
  .owl-nav {
    margin-top: 10px;
  }
  .iconbox_box  img.service_icon_img {
    margin-bottom: 10px !important;
  }
  .main-carousel {
    padding-bottom: 0;
  }
  .head-logo-block {
    margin-bottom: 20px;
    margin-top: 17px;
  }
  .inner_carousel {
    margin-bottom: 0em;
  }
  .content_on_banner {
    position: unset;
    text-align: center;
  }
  .custom_block {
    padding: 10px;
  }
  .section_main_head h3 {
    font-size: 24px;
  }
  .head-full-width-center{
    max-width: 100%;
  }
  #search .close{
    top: 31%;
    right: 10%;
  }
  .search-no-results div#sidebar {
    margin-top: 20px;
  }
  .contac_form:after{
    display: none;
  }
  .contac_form{
    margin: 10px 0;
    max-width: 100%;
  }
  .contact_box_container{
    padding: 15px 15px;
  }
  .contact_details_column .media{
    margin-bottom: 20px !important;
  }
  .section_main_head .section-text, .section_main_head .section-text p{
    max-width: 100%;
  }  
  #slider h1, #slider h2 {
    font-size: 18px;
    line-height: 24px;
  }
  a.theme_button.slide-btn {
    margin-right: 0;
  }
  .slide-content-box {
    margin-top: 0em;
    text-align: center;
    position: unset;
  }
  .slide-image-inner {
    text-align: center;
  }
  .contact_head{
    left: unset;
    width: 80%;
    margin: 0 auto !important;
  }
  .page-content h1{
    font-size: 120px;
  }
  .theme-footer-cols ul li {
    padding-left: 0;
    list-style: none;
    margin-left: 0;
  }
  .theme-footer-cols ul{
    margin: 0;
  }
  .theme-footer-cols ul li:before{
    display: none;
  }
  .logo_inner {
    text-align: center;
    margin-top: 0;
  }
  #rpwwt-recent-posts-widget-with-thumbnails-2 img {
    float: none;
    display: block;
    text-align: center;
    margin: 0 auto;
  }
  .rpwwt-widget ul li {
    text-align: center;
    margin: 0 auto;
  }
  .copyright-icons {
    text-align: center;
    margin: 10px 0;
  }
  .woocommerce .cart-collaterals .cart_totals, .top_contact, .news-box h5, .custom-nav, .quote_box {
    text-align: center;
  }
  .theme-footer-cols h3:after{
    margin: 0 auto;
    text-align: center;
    left: 0;
    right: 0;
  }
  .section_main_head.heading-half-width{
    max-width: 76%;
  }
  tbody, td, tfoot, th, thead, tr{
    padding: 10px 10px;
  }
  .inner-body{
    text-align: center;
  }
  .toggler{
    margin: 0;
  }
  .media img{
    margin-bottom: 0;
  }
  .section_main_head, .contact_head, .contact_details_column ul li, .theme-footer-cols{
    text-align: center;
  }
  .footer-col1 .is-layout-flex.wp-block-buttons {
    display: block;
  }
  .contact_widget .media i{
    padding-right: 0;
  }
  .footer_icons {
    text-align: center;
    margin-top: 30px;
  }
  .copyright-text{
    text-align: center !important;
  }
  .contact_details_column a{
    display: block;
  }
  .woocommerce-cart table.cart td.actions .coupon .input-text {
    width: 100%;
    margin-bottom: 10px;
    text-align: center;
  }
  .woocommerce-cart table.cart td.actions .coupon button.button {
    width: auto;
    margin: 0 auto;
    float: none !important;
  }
  .woocommerce-page table.cart td.actions .button {
    margin: 0 auto !important;
  }
  section {
    padding: 30px 0;
    background-size: cover;
  }
  .logo h1 a {
    font-size: 21px;
  }
  .post-navigation .nav-previous, .post-navigation .nav-next, blockquote, .work-info img {
    width: 100%;
  }
  .admin-login.text-end{
    text-align: left !important;
  }
  .contact-info {
    display: block;
    margin: 0;
    padding: 0 20px;
  }
  .c_icon{
    margin: 7px auto;
  }
}
@media screen and (min-width: 768px) and (max-width: 991px){
  .owl-carousel .owl-item img.carousel-gif {
      height: 314px !important;
  }
  #best-picks .product-grid h5 a {
      left: 12px;
      font-size: 12px;
  }
  #welcome .section_main_head h3 {
    font-size: 25px;
  }
  span.product-tag-badge {
      padding: 1px 15px;
      font-size: 12px;
  }
  .image-carousel-wrap {
    margin-left: 13px;
  }
  #welcome a.theme_button, #welcome a.theme_button2 {
    padding: 8px 8px;
    font-size: 12px;
  }
  .image-carousel-wrap {
      width: 600px;
      margin-left: 0;
  }
  #iconbox {
      padding-top: 0;
  }
  .trustpilot-rating {
      width: 178%;
  }
  .flex-item-image {
      width: 111px;
      height: 111px;
  }
  .brands-details-inner img {
    max-width: 60%;
  }
  .promo_text  .section_main_head h3 {
      margin-top: 0 !important;
  }
  .promo_text  a.theme_button2 {
    margin-top: 4px;
  }
  .premium-eyewear-link a {
    width: 26px;
    height: 26px;
    font-size: 11px;
  }
  .premium-eyewear-details {
    padding: 8px;
  }
  .testimonials_btn a.theme_button {
    margin-top: 0em;
  }
  .contact_widget {
      text-align: center;
  }
  .headerbar {
    padding-bottom: 5px !important;
    padding-top: 5px;
  }
  .search-mobile button {
    padding-right: 18px !important;
  }
  .hamburger {
    font-size: 24px;
    padding: 10px 18px;
  }
  .section_main_head {
    margin-top: 20px;
  }
  .mobile-menu {
    display: block;
    margin-top: 0em;
    position: absolute;
    top: 0px;
    left: 0;
  }
  .menu_container{
    position: relative;
  }
  .banner_title_box {
    padding-top: 3em;
    padding-bottom: 3em;
  }
  .banner-contact-box {
    margin-top: 26px;
  }
  .logo_inner {
    padding: 0;
    margin-top: 0;
  }
  .headerbar {
    margin-top: 0 !important;
    padding-bottom: 10px;
  }
  .newsletter-container {
    max-width: 100%;
  }
  .owl-carousel .owl-dots {
    text-align: center;
    display: flex;
    justify-content: center;
    margin-top: 20px;
  }
  .tp_breadcrumbs, .tp_breadcrumbs a {
    font-size: 12px;
    line-height: 20px;
  }
  .owl-carousel .owl-item .testimonials_image img, .testimonials_image img {
    margin: 0 auto !important;
  }
  .logo_inner, .footer-content-wrapper.row, .footer-text {
    text-align: center;
  }
  .footer-col4 {
    padding-left: 15px;
  }
  .content_on_banner {
    max-width: 70%;
    margin: 0 auto;
    left: 0;
    position: unset;
    margin-top: 0;
    display: block !important;
  }
  .news_content {
    padding: 0px 0;
  }
  .about-head-outer {
    padding: 0;
  }
  .section_main_head h3 {
    font-size: 24px;
  }
  .head-full-width-center {
    max-width: 100%;
  }
  .slider-box {
    padding-bottom: 2em;
  }
  #slider h1, #slider h2 {
    font-size: 21px;
    line-height: 27px;
  }
  .search_mobile a i {
    color: #222;
  }
  .news-box {
    margin-bottom: 20px !important;
  }
  .page-template-blog-with-left-right-sidebar .blog_inner_box {
    width: 100%;
  }
  section {
    padding: 30px 0;
  }
  .slide-content-box {
    margin-top: 1em;
  }
  .slide-content-box {
    margin-bottom: 20px;
  }
}
@media screen and (max-width: 991px){
  .newsletter_shortcode {
    width: 100%;
  }
  .footer-col1, .footer-col2, .footer-col3 {
    margin-bottom: 20px;
  }
  .copyright-wrapper {
    padding: 20px 0;
  }
  .Slider-left-box, .section_main_head .section-text, .section_main_head .section-text p{
    max-width: 100%;
  }
  #header {
    margin-right: 0 !important;
  }
  .search_mobile{
    display: flex !important;
  }
  .banner-head {
    max-width: 100%;
    padding: 0;
  }
  .serach_form_box{
    display: none !important;
  }
  .footer-cols, .custom-nav{
    text-align: center;
  }
  #slider .slide_nav i{
    font-size: 12px;
  }
  #about-us .section_main_head h3{
    font-size: 26px;
  }
  .footer-navigation {
    margin-top: 20px;
    text-align: center;
  }
  .footer-navigation ul li{
    margin: 0;
  }
}
@media screen and (min-width: 992px) and (max-width: 1024px){
  #welcome .section_main_head h3 {
    font-weight: 300;
    font-size: 35px;
  }
  .iconbox_box {
    padding: 8px;
  }
  .image-carousel-wrap {
      margin-left: 0;
  }
  .flex-item-image {
      width: 166px;
      height: 166px;
  }
  .product-search-form input {
    width: 100%;
  }
  .mobile-menu {
    position: absolute;
    top: 0;
    left: 0;
  }
  .headerbar {
    margin-left: 4px;
    margin: 7px 0;
  }
  .banner_title_box {
    padding-top: 5em;
    padding-bottom: 5em;
  }
  section{
    padding: 50px 0;
  }
  .custom-social-icons a i{
    margin-bottom: 5px;
  }
  .contact_widget .media a {
    font-size: 13px;
  }
}
@media screen and (min-width: 1025px) and (max-width: 1199px){
  .image-carousel-wrap {
    margin-left: 0;
  }
  .product-search-form {
      width: 334px;
  }
  .flex-item-image {
      width: 163px;
      height: 163px;
  }
  .wishlist-block, .faq-block, .cart-block {
    margin-right: 15px;
  }
  .side-navigation li {
    padding: 27px 6px;
  }
  .logo_inner {
    margin-top: 0;
  }
  .contact_widget .media a {
    font-size: 13px;
  }
  .news_block {
    padding: 2px;
  }
  .metabox .entry-author {
    margin: 0 5px 0 0;
  }
  .metabox span {
    margin-right: 0;
  }
}
@media screen and (min-width: 1200px) and (max-width: 1400px){
  #mega-menu-wrap-primary #mega-menu-primary > li.mega-menu-megamenu > ul.mega-sub-menu {
    width: 138%;
    left: -19%;
  }
  .contact-head{
    padding-left: 0;
  }
} 
@media screen and (min-width: 1400px) and (max-width: 1600px){
  #mega-menu-wrap-primary #mega-menu-primary > li.mega-menu-megamenu > ul.mega-sub-menu {
      width: 167%;
      left: -28%;
  }
}
@media screen and (min-width: 1200px) and (max-width: 1251px){
  .wishlist-block, .faq-block, .cart-block {
    margin-right: 12px;
  }
}
@media screen and (max-width: 1024px){
  #mega-menu-wrap-primary #mega-menu-primary > li.mega-menu-item > a.mega-menu-link {
      padding: 2px 14px !important;
  }
  #mega-menu-wrap-primary .mega-menu-toggle {
    background-color: transparent !important;
  }
  #mega-menu-wrap-primary #mega-menu-primary > li.mega-menu-flyout ul.mega-sub-menu {
    padding-top: 0;
    padding-bottom: 0;
  }
  .header-blocks {
      justify-content: end;
      display: flex;
      align-items: center;
  }
  #mega-menu-wrap-primary .mega-menu-toggle .mega-toggle-block-0 .mega-toggle-animated-inner, #mega-menu-wrap-primary .mega-menu-toggle .mega-toggle-block-0 .mega-toggle-animated-inner::before, #mega-menu-wrap-primary .mega-menu-toggle .mega-toggle-block-0 .mega-toggle-animated-inner::after {
    width: 29px;
    height: 2px;
    background-color: black;
    border-radius: 4px;
  }
  #mega-menu-wrap-primary #mega-menu-primary {
    background-color: var(--color-primary) !important;
  }
  #mega-menu-wrap-primary .mega-menu-toggle ~ button.mega-close:before {
    background-color: var(--color-primary);
  }
  .cart-block, .wishlist-block, .my-account-block, .faq-block {
    margin-right: 14px;
  }
  .search-mobile {
    display: block;
  }
  .desktop-search {
    display: none;
  }
  .search-mobile button {
    background-color: transparent;
    color: black !important;
    padding-right: 9px !important;
    border: none;
    border-radius: 50% !important;
    font-size: 22px;
    padding-left: 0 !important;
  }
  .header-blocks {
    justify-content: end;
  }
  .banner_title_box img{
    display: none;
  }
  .mobile-menu {
    display: block;
  }
  .headerbar {
    display: block;
  }
  .side-navigation ul li.current_page_item > a, .side-navigation ul li.current-menu-item > a {
    color: var(--color-primary);
  }
  .Slider-left-box{
    max-width: 100%;
  }
  .about-img-bottom {
    margin-top: 4px;
    margin-left: 0;
  }
  .about_outer{
    padding: 0 !important;
  }
  .side-navigation ul li.current_page_item a:after{
    display: none;
  }
  .side-navigation ul li:hover > ul{
    animation:unset;
  }
  .side-navigation ul li{
    width: 100%;
  }
    /* .side-navigation ul li a,  .side-navigation li */
  .headerbar, .side-navigation, .side-navigation ul ul li, .side-navigation .current_page_item {
    display: block;
  }
  .side-navigation .current_page_item {
    background-color: transparent !important;
  }
  .headerbar:focus,.hamburger:focus{
    outline: none;
  }
  .hamburger {
    text-align: center;
    color: black;
    font-size: 22px;
    padding: 0;
    border-radius: 10px;
    display: inline-block;
    margin-right: 14px;
  }
  .side-navigation ul li.current_page_item a:before, .side-navigation ul li.current-menu-item a:before{
    display: none;
  }
  .header-menu-boxx {
    position: relative;
  }
  .side-navigation, .side-navigation li {
    padding: 12px 5px;
    text-align: left;
  }
  .side-navigation ul li a {
    color: #fff;
    font-size: 14px;
  }
  
  .side-navigation ul ul li a{
    border: 0;
  }
  amp-sidebar#sidebar1 {
    background: var(--color-primary);
    width: 250px;
  }
  #mega-menu-wrap-primary #mega-menu-primary > li.mega-menu-item > a.mega-menu-link, #mega-menu-wrap-primary #mega-menu-primary > li.mega-menu-item.mega-toggle-on > a.mega-menu-link, #mega-menu-wrap-primary #mega-menu-primary > li.mega-menu-item.mega-current-menu-item > a.mega-menu-link, #mega-menu-wrap-primary #mega-menu-primary > li.mega-menu-item.mega-current-menu-ancestor > a.mega-menu-link, #mega-menu-wrap-primary #mega-menu-primary > li.mega-menu-item.mega-current-page-ancestor > a.mega-menu-link {
      color: white;
  }
  #mega-menu-wrap-primary #mega-menu-primary > li.mega-menu-megamenu > ul.mega-sub-menu {
    width: 100%;
    left: unset !important;
  }
  #mega-menu-wrap-primary #mega-menu-primary li.mega-menu-megamenu > ul.mega-sub-menu > li.mega-menu-row .mega-menu-column > ul.mega-sub-menu > li.mega-menu-item {
      padding: 0 0px 14px 0px;
      margin-bottom: 10px;
  }
  .banner-widget-blk.media .media-image {
      margin-top: -26px;
      margin-top: 0;
  }
  #sidebar1 {
    height: 100%;
    width: 0;
    position: fixed;
    z-index: 9999999;
    top: 0;
    right: 0;
    overflow-x: hidden;
    transition: .5s;
  }
  .side-navigation ul li ul, .side-navigation ul li ul ul {
    display: block !important;
  }
  .side-navigation ul ul,.side-navigation ul ul li {
    background: transparent !important;
  }
  .side-navigation ul li.current_page_item, .side-navigation ul li.current-menu-item {
    background-color: transparent;
  }
  .side-navigation ul ul {
    position: static;
    width: 100%;
    box-shadow: none;
  }
  .side-navigation ul ul li{
    padding-left: 15px;
  }
  .side-navigation ul.sub-menu li a:before{
    content: none;
  }
  .side-navigation ul>li.menu-item-has-children>a:after{
    margin-top: 0;
  }
}